"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function printPropertyKey(name, nullable, generator) {
    generator.printOnNewline(name);
    generator.print(nullable && '?');
    generator.print(': ');
}
exports.printPropertyKey = printPropertyKey;
function printExport(exported, generator) {
    generator.printOnNewline('export ');
    exported();
}
exports.printExport = printExport;
function printImport({ specifiers, source }, generator) {
    generator.printOnNewline(`import {${specifiers.join(', ')}} from '${source}';`);
}
exports.printImport = printImport;
function printInterface({ name, extend = [] }, body, generator) {
    generator.print(`interface ${name} `);
    if (extend.length) {
        generator.print(`extends ${extend.join(', ')} `);
    }
    generator.withinBlock(body);
}
exports.printInterface = printInterface;
function printNamespace(name, body, generator) {
    generator.print(`namespace ${name} `);
    generator.withinBlock(body);
}
exports.printNamespace = printNamespace;
